Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Cylinder Class Reference

Inheritance diagram for osg::Cylinder:

[legend]
List of all members.

## Public Member Functions
| Cylinder ()
| Cylinder (const osg::Vec3 &center, float radius, float height)
| Cylinder (const Cylinder &cylinder, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Shape (osg, Cylinder)
bool | valid () const
void | set (const Vec3 &center, float radius, float height)
void | setCenter (const Vec3 &center)
const Vec3 & | getCenter () const
void | setRadius (float radius)
float | getRadius () const
void | setHeight (float height)
float | getHeight () const
void | setRotation (const Quat &quat)
const Quat & | getRotation () const
Matrix | computeRotationMatrix () const
bool | zeroRotation () const
## Protected Member Functions
virtual | ~Cylinder ()
## Protected Attributes
Vec3 | _center
float | _radius
float | _height
Quat | _rotation

## Constructor & Destructor Documentation

osg::Cylinder::Cylinder | ( |  | ) | `[inline]`

osg::Cylinder::Cylinder | ( | const osg::Vec3 & | center,
|  | float | radius,
|  | float | height
| ) | `[inline]`

osg::Cylinder::Cylinder | ( | const Cylinder & | cylinder,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

virtual osg::Cylinder::~Cylinder | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

Matrix osg::Cylinder::computeRotationMatrix | ( |  | ) | const`[inline]`

const Vec3& osg::Cylinder::getCenter | ( |  | ) | const`[inline]`

float osg::Cylinder::getHeight | ( |  | ) | const`[inline]`

float osg::Cylinder::getRadius | ( |  | ) | const`[inline]`

const Quat& osg::Cylinder::getRotation | ( |  | ) | const`[inline]`

osg::Cylinder::META_Shape | ( | osg | ,
|  | Cylinder |
| ) |

void osg::Cylinder::set | ( | const Vec3 & | center,
|  | float | radius,
|  | float | height
| ) | `[inline]`

void osg::Cylinder::setCenter | ( | const Vec3 & | center | ) | `[inline]`

void osg::Cylinder::setHeight | ( | float | height | ) | `[inline]`

void osg::Cylinder::setRadius | ( | float | radius | ) | `[inline]`

void osg::Cylinder::setRotation | ( | const Quat & | quat | ) | `[inline]`

bool osg::Cylinder::valid | ( |  | ) | const`[inline]`

bool osg::Cylinder::zeroRotation | ( |  | ) | const`[inline]`

## Member Data Documentation

Vec3 osg::Cylinder::_center`[protected]`

float osg::Cylinder::_height`[protected]`

float osg::Cylinder::_radius`[protected]`

Quat osg::Cylinder::_rotation`[protected]`

The documentation for this class was generated from the following file:

- Shape